Subject: let's us begin the discussion

From: xiaofei (XiaoFei Wang)
Date: Sat, 30 Jan 93 12:10:12 CST

Hi, 

Thanks JD of ccic ( chinese community information center ) of IFCSS
   the mail alias ' [email-masked] ' is ready for use. I have
   added three participants from my last list: 

[email-masked]
[email-masked]
[email-masked] 

   A updated list can be found from 
   ifcss.org:/software/fonts/d/soft.list 

   again it you do not want to participate the discussion, please
   email me and I will remove you from the list. 

Per yawei's suggestion, I have moved /software/tmp to 
   ifcss.org:/software/fonts/d. I think it is better to be in 
   an not so obvious place. The directory contains some c source
   codes, pre-discussion mail-log1 I mailed to you last time. 

Now let us begin our discussion, who wants to speak first?
Fung F. Lee ? 

The following is the mail message I received before 
' [email-masked] ' is ready.
--
>From [email-masked] Sat Jan 30 01:51:07 1993
Return-Path: <[email-masked]>
Date: Sat, 30 Jan 93 15:48:31 HKT
From: [email-masked] (Dr. PONG Man Chi)
To: [email-masked]
Subject: Re:  bitmapped_fonts
Cc: [email-masked], [email-masked]

> Hi, I would like to invite you for an informal and small scale discussion 
> on chinese bitmapped fonts.

Please add

[email-masked]
[email-masked]

Thanks.
-------
Some of those in your mailing list have discussed
the problem some time ago.  We more or less come
to something like the following as the "canonical format":

	some header information like those fonts in X window system
	region-range1 (Qu)	the valid-hanzi-codes in the Qu (i.e. Wei)
	region-range2 (Qu)	the valid-hanzi-codes in the Qu (i.e. Wei)
	...
	then raw-bit-maps arranged row-wise sequentially,
		(no gap for non-existing hanzi).
		(These bitmaps can be in a separate file,
		 and using something like "#include file"
		 to access it.)

This format can be defined formally.
We stop short of defining it completely, due to limited free time.
I suppose [email-masked] will reply something to you
because he first proposed the idea of 
	"region-range-i		valid-hanzi-codes".

Let's wait for his summary, hopefully.
(Now I can't find the discussion I saved previously. Sorry.)

Cheers!
mcpong

>From [email-masked] Sat Jan 30 10:58:30 1993
Return-Path: <[email-masked]>
Date: Sat, 30 Jan 1993 11:57:40 -0500
From: 亚桂 <[email-masked]>
To: [email-masked], [email-masked]
Subject: Re:  bitmapped_fonts

I just checked.  It seems you have covered all the
participants of the previous discussion.

The previous discussion resulted in some kind of
font spec, you can get it from FFL or Bo Yang or YGZ I think.

 Ya-Gui

>From [email-masked] Sat Jan 30 10:59:41 1993
Return-Path: <[email-masked]>
To: [email-masked] (XiaoFei Wang)
Subject: Re: bitmapped_fonts 
Cc: [email-masked], [email-masked], [email-masked],
        [email-masked], [email-masked], [email-masked],
        [email-masked]
In-Reply-To: Your message of Sat, 30 Jan 1993 01:21:04 -0600.
             <[email-masked]> 
Date: Sat, 30 Jan 1993 11:58:24 -0500
From: [email-masked] (Yongguang Zhang)

Hi,

In message <[email-masked]> XiaoFei Wang writes

> Hi, I would like to invite you for an informal and small scale discussion 
> on chinese bitmapped fonts. The people I have contacted is list below.
> If you are not interested in the discussion please email me so that I
> will remove you from the distribution list. If you are, I should have a mail 
> alias ready tomorrow so that you can use to communicate with other
> programmers. I hope some agreement can be reached. 

Yes, we support the effort for standardizing the bitmap fonts. 
We can clearly see the need for this from your message log.
Actually some of us had a month-long discussion about this issue
last October.  We even came up some consensus on a common format
for Chinese bitmap fonts.  I suggest we post the thread of our
discussion to xiaofei's list.  Does anyone have a complete archive
of all the email messages of our discussion?  My archive seems
incomplete.

And how is the status of our HBF now?

  -ygz

===
P.S.  The first & last message of the thread in my log:
      (How this thread was started)

Date: Thu, 8 Oct 92 17:15:36 -0700
From: [email-masked] (Fung Fung Lee)
Message-Id: <[email-masked]>
To: ygz
Subject: Public Domain BIG5 Fonts Discovered
Cc: [email-masked], [email-masked], [email-masked],
        [email-masked]

Dear Yongguang:

[ ... there are big5 fonts in some ftp site in .tw ... ]

These huge files remind me of Ricky Yeung's suggestion on a.c.t.
some time ago that there should be a common font file format
for our Chinese software.  The bdf format is fine, except that
it is usually more than 2 to 3 times the raw bitmap size, and needs
to be converted to something like pcf format for actual use.
It seems to me that cclib's format does not include information
about bitmap size and copyright, etc.  
For non X-window program, it appears to me that a good
common Chinese bitmap font file format can be a combination of
bdf's attribute statements / comments followed by consecutive blocks
of bitmap in the valid code ranges.
Better yet, a set of library routines defined to interact with the format,
so that future programmers do not have to worry about the details and
can be sure that there is a pool of compatible fonts.

I think this is a worthwhile effort. What do you think?
I would be happy to write a draft if not for the fact that I will be
very busy until the end of this year. sigh :-!

Fung

----------------------------------------------------------------------
Appendix.
[a list of big5 fonts deleted]

=============
Date: Wed, 11 Nov 92 17:33:14 -0800
From: [email-masked] (Bo Yang)
Message-Id: <[email-masked]>
To: [email-masked]
Subject: Re: HBF (Hanzi Bitmap Format)
Cc: [email-masked], [email-masked], [email-masked],
        [email-masked], [email-masked], [email-masked],
        [email-masked], ygz

Just an idea: should we include a property line saying if data compression of
the rawbits is used? It seems to me that for large bitmaps Chinese fonts, even 
a simple(fast) compression algorithm can save a lot of space.

It will be up to the user to decide which algorithm to use and how to index
the compressed rawbits/plans. There might be a standard for it later. Just 
leave a possibility open for future use...

-- Bo Yang